%define name qvwm
%define version 1.1.12
%define distsuffix plf
%define release %mkrel 8

Summary:	X11 Window Manager - Windows 95/98 like environment
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Graphical desktop/Other
Source0:	ftp://ftp.qvwm.org/pub/qvwm/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am15.patch.bz2
PAtch1:		%{name}-man_MANS.patch.bz2
URL:		http://www.qvwm.org/
BuildRequires:	automake1.4
BuildRequires:	esound-devel >= 0.2.6
BuildRequires:	flex
BuildRequires:	imlib-devel >= 1.8.2
Requires:	fileutils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Qvwm is a Windows 95/98/NT like window manager for X Window System. It
allows Windows 95/98/NT users to use X Window System without
hesitation and X Window System users to use Windows 95/98/NT without
hesitation.

This package is in plf because it use similar windows look and feel.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing configure
aclocal-1.4
automake-1.4 -a
autoconf-2.5x
# -a -c -f
CXXFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti"
%configure \
    --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir}/X11 \
	--enable-rmtcmd \
	--enable-xsmp \
	--enable-ss

%make

%install
rm -rf $RPM_BUILD_ROOT

%make install DESTDIR=$RPM_BUILD_ROOT					

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/14%{name} << EOF
NAME=%{name}
EXEC=%{_prefix}/bin/%name
DESC=qvwm provides a strong solution for a Windows 95/98 like environment
SCRIPT:
exec %{_prefix}/bin/%name
EOF

mv -f $RPM_BUILD_ROOT/%{_mandir}/jp $RPM_BUILD_ROOT/%{_mandir}/ja

%clean
rm -rf $RPM_BUILD_ROOT

%post
%make_session

%postun
%make_session

%files
%defattr(-,root,root)
# %doc 
%{_prefix}/bin/*
%{_prefix}/share/%{name}
%{_mandir}/man?/*
%{_mandir}/fr/man?/*
%{_mandir}/ja/man?/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/14%{name}

%changelog
* Fri Jun 30 2006 Olivier Thauvin <nanardon@zarb.org> 1.1.12-8plf
- add plf reason
- change prefix

* Sun Oct  9 2005 Stefan van der Eijk <stefan@zarb.org> 1.1.12-7plf
- BuildRequires
- Note: URL is no longer valid

* Mon Mar 28 2005 Olivier Thauvin <nanardon@zarb.org> 1.1.12-6plf
- rebuild && %%mkrel

* Fri Jul 25 2003 Michael Scherer <scherer.michael@free.fr> 1.1.12-5plf
- Fix unpackaged files, by moving japanese manpages
 
* Sun Nov 10 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.12-4plf
- BuildRequires

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.12-3plf
- => plf (win icones)

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.12-3mdk
- rebuild

* Sat Aug 03 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.12-2mdk
- add buildrequires flex (thx Han) 

* Mon Jun 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.12-1mdk
- mdk adaptation from pld
